#!/usr/bin/env bash
export LUNA_ROOT=${LUNA_ROOT:-$(realpath $(dirname $0)/..)}
export LUNA_BASE=${LUNA_BASE:-$LUNA_ROOT/base}
export PATH=$LUNA_ROOT/toolchain/x86_64-luna/bin:$LUNA_ROOT/toolchain/dist:$PATH

[ -f "$LUNA_ROOT/env-local.sh" ] && source $LUNA_ROOT/env-local.sh

export ARCH=${ARCH:-x86_64}

if [ "$USE_MAKE" = "1" ]
then
export BUILD=make
export CMAKE_GEN="Unix Makefiles"
else
export BUILD=ninja
export CMAKE_GEN="Ninja"
fi

export BUILD_DIR=$LUNA_ROOT/build/$BUILD-$ARCH
